Upstream information

CVE-2010-2628 at MITRE

Description

The IKE daemon in strongSwan 4.3.x before 4.3.7 and 4.4.x before 4.4.1 does not properly check the return values of snprintf calls, which allows remote attackers to execute arbitrary code via crafted (1) certificate or (2) identity data that triggers buffer overflows.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 615915 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • strongswan >= 4.3.4-3.4.1
  • strongswan-doc >= 4.3.4-3.4.1
Patchnames:
slessp1-strongswan
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
  • strongswan >= 4.3.4-3.4.1
  • strongswan-doc >= 4.3.4-3.4.1
sled11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86
sles11-sp1.ia64
sles11-sp1.x86
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sled11-sp1.x86
SAT Patch Nr: 2790
openSUSE 11.2
  • strongswan-debuginfo >= 4.3.4-4.4.1
  • strongswan-debugsource >= 4.3.4-4.4.1
openSUSE 11.2
  • strongswan >= 4.3.4-4.4.1
  • strongswan-doc >= 4.3.4-4.4.1
openSUSE 11.3
  • strongswan-debugsource >= 4.4.0-4.1.1
  • strongswan-ikev1-debuginfo >= 4.4.0-4.1.1
  • strongswan-ikev2-debuginfo >= 4.4.0-4.1.1
  • strongswan-ipsec-debuginfo >= 4.4.0-4.1.1
  • strongswan-libs0-debuginfo >= 4.4.0-4.1.1
  • strongswan-nm-debuginfo >= 4.4.0-4.1.1
openSUSE 11.3
  • strongswan >= 4.4.0-4.1.1
  • strongswan-doc >= 4.4.0-4.1.1
  • strongswan-ikev1 >= 4.4.0-4.1.1
  • strongswan-ikev2 >= 4.4.0-4.1.1
  • strongswan-ipsec >= 4.4.0-4.1.1
  • strongswan-libs0 >= 4.4.0-4.1.1
  • strongswan-nm >= 4.4.0-4.1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA strongswan Affected
SUSE Linux Enterprise Desktop 11 SP1 strongswan Released
SUSE Linux Enterprise Desktop 11 SP2 strongswan Released
SUSE Linux Enterprise Desktop 11 SP3 strongswan Released
SUSE Linux Enterprise Desktop 11 SP4 strongswan Released
SUSE Linux Enterprise Server 10 SP3 strongswan Affected
SUSE Linux Enterprise Server 11 GA strongswan Affected
SUSE Linux Enterprise Server 11 SP1 strongswan Released
SUSE Linux Enterprise Server 11 SP1 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP2 strongswan Released
SUSE Linux Enterprise Server 11 SP2 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP3 strongswan Released
SUSE Linux Enterprise Server 11 SP3 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP4 strongswan Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 strongswan Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 strongswan Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 strongswan Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 strongswan Released
SUSE Linux Enterprise Server for VMWare 11 SP2 strongswan Released
SUSE Linux Enterprise Server for VMWare 11 SP3 strongswan Released